program MobaLiveCD;

uses
  Forms,
  Registry,
  Windows,
  SysUtils,
  Unit1 in 'Unit1.pas' {Form1},
  UnitsDialog in 'UnitsDialog.pas' {FormsDialog},
  Unit2 in 'Unit2.pas' {Form2},
  Unit3 in 'Unit3.pas' {Form3},
  UnitChooseDrive in 'UnitChooseDrive.pas' {FormChooseDrive};

{$R *.res}


procedure Traduction(Lang:string);
begin
  Form1.Langue:=Lang;
  if Lang='en' then
  begin
    with Form1 do
    begin
      Caption:='';
      Label7.Caption:='Welcome to MobaLiveCD';
      Label6.Caption:='This program allows you to test your bootable CD-Rom ("LiveCD") thanks to an emulation engine. You can either associate this program to the right-click menu of ISO image files, or directly run a LiveCD ISO image.';
      Label1.Caption:='Install MobaLiveCD''s right-clic association';
      Label2.Caption:='This option allows you to launch MobaLiveCD from the right-click menu of ISO image files.';
      sBitBtn1.Caption:='Right-click menu';
      Label3.Caption:='Start directly a CD-ROM ISO image file';
      Label4.Caption:='This option allows you to choose an ISO image file by browsing your hard drive and to start it.';
      sBitBtn2.Caption:='Run the LiveCD';
      Label9.Caption:='Start directly from a bootable USB drive';
      Label10.Caption:='This option allows you to choose a bootable USB thumb drive (for example using Grub4dos or Syslinux) and to start it.';
      sBitBtn7.Caption:='Run the LiveUSB';
      sBitBtn6.Caption:='Uninstall';
      sBitBtn5.Caption:='Help';
      sBitBtn4.Caption:='About';
      sBitBtn3.Caption:='Exit';
      OpenDialog1.Title:='Please, select an ISO image file';
      OpenDialog1.Filter:='CD-Rom ISO image files|*.iso';
      UninstallOK:='MobaLiveCD was uninstalled successfully !';
      InstallOK:='MobaLiveCD was installed successfully !';
      InstallKO:='You must be administrator of your computer to perform this action';
      RegCommand:='Test this with MobaLiveCD';
      HardDiskQuestion:='Do you want to create a hard disk image for your virtual machine?';
      BtnDonate.Caption:='Donation';
      BtnDonate.Hint:='Make a donation';
      Label5.Caption:='If you like this program, don''t forget to make a donation';
      Label8.Caption:='to the authors in order to help them improving MobaLiveCD';
    end;
    with Form2 do
    begin
      Caption:='MobaLiveCD - Help';
      Label1.Caption:='During the emulation, you can use the following keys';
      Label3.Caption:='- Click in the window to interract with the emulated OS';
      Label2.Caption:='- Press Ctrl + Alt  to return to your common environment';
      Label4.Caption:='- Press Ctrl + Alt + f  to switch the emulated window to fullscreen mode';
      Label5.Caption:='- Press Ctrl + Alt + f  to exit fullscreen mode for the emulated window';
    end;
    with Form3 do
    begin
      Caption:='About MobaLiveCD';
      LabelURL4.Caption:='(license)';
      LabelDescription.Caption:='Test your LiveCD under Windows without burning them or rebooting';
      Label5.Caption:='MobaLiveCD is a freeware distributed by Mobatek.';
      LabelUrl2.Caption:='Please visit our website for downloading other freewares.';
      UrlMail.Caption:='Send us an e-mail';
      UrlWebsite.Caption:='Official MobaLiveCD Homepage';
    end;
    with FormChooseDrive do
    begin
      Caption:='USB thumb drive selection';
      Label7.Caption:='USB thumb drive selection';
      Label6.Caption:='Please select the USB thumb drive you want to boot from...';
      BoutYes.Caption:='OK';
      BoutNo.Caption:='Cancel';
    end;
  end;




  


  if Lang='es' then
  begin
    with Form1 do
    begin
      Langue:='es';
      TranslatedBy:='arturunch';
      Caption:='';
      Label7.Caption:='Bienvenido a MobaLiveCD';
      Label6.Caption:='Este programa te permite probar tu CD-Rom autoarrancable ("LiveCD") gracias al nuestro motor de emulacin. Tambin puedes asociar este programa al men del botn derecho, o directamente ejecutar una imagen ISO LiveCD .';
      Label1.Caption:='Instalar asociacin del botn derecho MobaLiveCD';
      Label2.Caption:='Esta opcin te permite cargar MobaLiveCD desde el men botn derecho.';
      sBitBtn1.Caption:='Men botn derecho';
      Label3.Caption:='Empezar directamente una imagen de CD-ROM ISO';
      Label4.Caption:='Esta opcin permite elegir la imagen ISO explorando tu disco duro y comenzar la emulacin.';
      sBitBtn2.Caption:='Ejecutar el LiveCD';
      Label9.Caption:='Start directly from a bootable USB drive';
      Label10.Caption:='This option allows you to choose a bootable USB thumb drive (for example using Grub4dos or Syslinux) and to start it.';
      sBitBtn7.Caption:='Ejecutar el LiveUSB';
      sBitBtn6.Caption:='Desinstalar';
      sBitBtn5.Caption:='Ayuda';
      sBitBtn4.Caption:='Sobre';
      sBitBtn3.Caption:='Salir';
      OpenDialog1.Title:='Por favor, seleccione una imagen ISO';
      OpenDialog1.Filter:='Imgenes de CD-ROM ISO|*.iso';
      UninstallOK:='MobaLiveCD ha sido desinstalado correctamente !';
      InstallOK:='MobaLiveCD ha sido instalado correctamente !';
      InstallKO:='Debes ser el Administrador del equipo para poder realizar esta operacin';
      RegCommand:='Emular con MobaLiveCD';
      HardDiskQuestion:='Do you want to create a hard disk image for your virtual machine?';
      BtnDonate.Caption:='Donacin';
      BtnDonate.Hint:='Hacer una donacin';
      Label5.Caption:='If you like this program, don''t forget to make a donation';
      Label8.Caption:='to the authors in order to help them improving MobaLiveCD';
    end;
    with Form2 do
    begin
      Caption:='MobaLiveCD - Ayuda';
      Label1.Caption:='Durante la emulacin, puedes usar las siguientes teclas';
      Label3.Caption:='- Clic en la ventana para interactuar con el SO emulado';
      Label2.Caption:='- Pulsar Ctrl + Alt  para volver a tu entorno habitual ';
      Label4.Caption:='- Pulsar Ctrl + Alt + f  para cambiar a modo pantalla completa';
      Label5.Caption:='- Pulsar Ctrl + Alt + f  para salir del modo pantalla completa';
    end;
    with Form3 do
    begin
      Caption:='Sobre MobaLiveCD';
      LabelURL4.Caption:='(licencia)';
      LabelDescription.Caption:=' Prueba tus LiveCD bajo Windows sin tener que grabar ningn CD ni tener que reiniciar el equipo';
      Label5.Caption:='MobaLiveCD es freeware distribuido por Mobatek.';
      LabelUrl2.Caption:='Por favor, visita nuestra Web para bajar otros programas freeware.';
      UrlMail.Caption:='Mndanos un e-mail';
      UrlWebsite.Caption:='Pgina oficial MobaLiveCD';
    end;
    with FormChooseDrive do
    begin
      Caption:='USB thumb drive selection';
      Label7.Caption:='USB thumb drive selection';
      Label6.Caption:='Please select the USB thumb drive you want to boot from...';
      BoutYes.Caption:='OK';
      BoutNo.Caption:='Cancel';
    end;
  end;





  if Lang='it' then
  begin
    with Form1 do
    begin
      Caption:='';
      sPanel3.Width:=745;
      sPanel1.Width:=745;
      sPanel2.Width:=745;
      sPanel5.Left:=60;
      sPanel4.Left:=60;
      Form1.Width:=800;
      Label2.Width:=450;
      Label2.Left:=96;
      Label4.Width:=450;
      Label4.Left:=96;
      sBitBtn1.Left:=574;
      sBitBtn2.Left:=574;
      Label6.Left:=108;
      Label2.Font.Size:=10;
      Label4.Font.Size:=10;
      TranslatedBy:='Giacomo';
      Label7.Caption:='Benvenuti in to MobaLiveCD';
      Label6.Caption:='Questo programma vi consente di provare i CD-ROM avviabili ("LiveCD") grazie ad un motore di emulazione. ';
      Label6.Caption:=Label6.Caption+'Potete anche associare questo programma al menu del clic del tasto destro del mouse sui file immagine ISO, oppure avviando direttamente il file ISO del LiveCD.';
      Label1.Caption:='Installa associazione di MobaLiveCD al clic del tasto destro';
      Label2.Caption:='Quest''opzione vi consente di avviare MobaLiveCD dal menu del clic del tasto destro del mouse per i file iina mmagine ISO.';
      sBitBtn1.Caption:='Menu del clic del tasto destro';
      Label3.Caption:='Avvia direttamente un file immagine ISO CD-ROM';
      Label4.Caption:='Quest''opzione vi consente di scegliere un file immagine ISO cercandolo sul vostro disco rigido e di avviarlo.';
      sBitBtn2.Caption:='Avvia il LiveCD';
      Label9.Caption:='Start directly from a bootable USB drive';
      Label10.Caption:='This option allows you to choose a bootable USB thumb drive (for example using Grub4dos or Syslinux) and to start it.';
      sBitBtn7.Caption:='Avvia il LiveUSB';
      sBitBtn6.Caption:='Disinstalla';
      sBitBtn5.Caption:='Guida';
      sBitBtn4.Caption:='Info';
      sBitBtn3.Caption:='Esci';
      OpenDialog1.Title:='Selezionate un file immagine ISO';
      OpenDialog1.Filter:='File immagine ISO CD-Rom|*.iso';
      UninstallOK:='MobaLiveCD  stato disinstallato con successo !';
      InstallOK:='MobaLiveCD  stato installato con successo !';
      InstallKO:='Dovete essere l''amministratore del computer per eseguire quest''azione';
      RegCommand:='Prova questo con MobaLiveCD';
      HardDiskQuestion:='Volete creare un''immagine del disco rigido per la macchina virtuale?';
      BtnDonate.Caption:='Donazione';
      BtnDonate.Hint:='Effettua una donazione';
      Label5.Caption:='Se vi piace questo programma, non dimenticate di effettuare una donazione';
      Label8.Caption:='agli autori per aiutarli a migliorare MobaLiveCD';
    end;
    with Form2 do
    begin
      Label2.Font.Size:=8;
      Label3.Font.Size:=8;
      Label4.Font.Size:=8;
      Label5.Font.Size:=8;
      Caption:='MobaLiveCD - Guida';
      Label1.Caption:='Durante l''emulazione potete usare i seguenti comandi';
      Label3.Caption:='- Clicate nella finestra per interagire con il sistema operativo emulato';
      Label2.Caption:='- Premete Ctrl + Alt  per tornare al vostro sistema operativo';
      Label4.Caption:='- Premete Ctrl + Alt + f  per far diventare la finestra emulata a tutto schermo';
      Label5.Caption:='- Premete Ctrl + Alt + f  per uscire dalla modalit a tutto schermo per la finestra emulata';
    end;
    with Form3 do
    begin
      Caption:='Informazioni su MobaLiveCD';
      LabelURL4.Caption:='(licenza)';
      LabelDescription.Caption:='Provate i vostri LiveCD sotto Windows senza masterizzarli o riavviare il pc';
      Label5.Caption:='MobaLiveCD  un programma freeware distribuito da Mobatek.';
      LabelUrl2.Caption:='Visitate il nostro sito per scaricare altri programmi gratuiti.';
      UrlMail.Caption:='Invaiteci un''e-mail';
      UrlWebsite.Caption:='Sito ufficiale di MobaLiveCD';
    end;
    with FormChooseDrive do
    begin
      Caption:='USB thumb drive selection';
      Label7.Caption:='USB thumb drive selection';
      Label6.Caption:='Please select the USB thumb drive you want to boot from...';
      BoutYes.Caption:='OK';
      BoutNo.Caption:='Cancel';
    end;
  end;



  if Lang='ko' then
  begin
    with Form1 do
    begin
      Langue:='ko';
      TranslatedBy:='JaeHyung Lee';
      Caption:='';
      Label7.Caption:='MobaLiveCD ּż մϴ.';
      Label6.Caption:=' α׷ ÿ CD-Rom("LiveCD") մϴ. ̹   콺 ư ޴ MobaLiveCD ޴ ϰų Ǵ ISO ̹     ֽϴ.';
      Label1.Caption:='ؽƮ ޴ MobaLiveCD ׸ ġϱ';
      Label2.Caption:=' ɼ ̹  ý 콺 ư ޴ MobaLiveCD ҷ ɼԴϴ.';
      sBitBtn1.Caption:='ġϱ';
      Label3.Caption:='CD-ROM ISO ̹  ٷ ϱ';
      Label4.Caption:=' ɼ ϵ ̺ ̹  Ͽ ϴ ɼԴϴ.';
      sBitBtn2.Caption:='LiveCD ';
      Label9.Caption:='Start directly from a bootable USB drive';
      Label10.Caption:='This option allows you to choose a bootable USB thumb drive (for example using Grub4dos or Syslinux) and to start it.';
      sBitBtn7.Caption:='LiveUSB ';
      sBitBtn6.Caption:='ϱ';
      sBitBtn5.Caption:='';
      sBitBtn4.Caption:='ǰ';
      sBitBtn3.Caption:='';
      OpenDialog1.Title:='ISO ̹   ֽʽÿ.';
      OpenDialog1.Filter:='CD-Rom ISO ̹ ϵ|*.iso';
      UninstallOK:='MobaLiveCD   Ǿϴ!';
      InstallOK:='MobaLiveCD  ġ Ǿϴ!';
      InstallKO:='  ҷ ְ  ʿմϴ';
      RegCommand:='MobaLiveCD ̰ ׽Ʈϱ';
      HardDiskQuestion:='ӽ  ϵ ũ ̹ Ͻðڽϱ?';
      BtnDonate.Caption:='Ŀϱ';
      BtnDonate.Hint:='ϱ';
      Label5.Caption:=' α׷ ϼ̴ٸ, MobaLiveCD   ';
      Label8.Caption:='ۻ縦 Ŀֽø  ϰڽϴ.';
    end;
    with Form2 do
    begin
      Caption:='MobaLiveCD - ';
      Label1.Caption:='ķ̼ ߿  Ű   ֽϴ.';
      Label3.Caption:='- ķ̼ OS ҷ â Ŭϼ.';
      Label2.Caption:='- Ϲ ȯ   Ctrl + Alt Ű ʽÿ.';
      Label4.Caption:='- ķ̼ â üȭ ȯҷ Ctrl + Alt + f Ű ʽÿ.';
      Label5.Caption:='- ķ̼ â üȭ鿡  Ctrl + Alt + f Ű ʽÿ.';
    end;
    with Form3 do
    begin
      Caption:='MobaLiveCD ';
      LabelURL4.Caption:='(̼)';
      LabelDescription.Caption:='ų    ٷ LiveCD ׽Ʈմϴ.';
      Label5.Caption:='MobaLiveCD Mobatek  Դϴ.';
      LabelUrl2.Caption:='ٸ  Ƿ Ȩ 湮ֽñ ٶϴ.';
      UrlMail.Caption:='̸ ';
      UrlWebsite.Caption:='MobaLiveCD  Ȩ';
    end;
    with FormChooseDrive do
    begin
      Caption:='USB thumb drive selection';
      Label7.Caption:='USB thumb drive selection';
      Label6.Caption:='Please select the USB thumb drive you want to boot from...';
      BoutYes.Caption:='OK';
      BoutNo.Caption:='Cancel';
    end;
  end;
end;



var
  Reg:TRegistry;
  Langue:string;
begin
  Application.Initialize;
  Application.Title := 'MobaLiveCD';
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TFormsDialog, FormsDialog);
  Application.CreateForm(TForm2, Form2);
  Application.CreateForm(TForm3, Form3);
  Application.CreateForm(TFormChooseDrive, FormChooseDrive);
  Reg:=TRegistry.Create;
  try
    Reg.RootKey:=HKEY_CURRENT_USER;
    if Reg.OpenKey('Control Panel\International', false) then
    begin
      if Reg.ValueExists('Locale') then
      begin
          Langue:=lowercase(Reg.ReadString('Locale'));
          if ((Langue='0000040c') or (Langue='0000080c') or (Langue='0000100c') or (Langue='00000c0c') or (Langue='0000140c') or (Langue='0000180c')) then
            Traduction('fr')
          else if ((Langue='00000410') or (Langue='00000810')) then
            Traduction('it')
          else if ((Langue='00000412') or (Langue='00000812')) then
            Traduction('ko')
          else if ((Langue='0000040a') or (Langue='0000080a') or (Langue='00000C0a') or (Langue='0000100a') or
                   (Langue='0000140a') or (Langue='0000180a') or (Langue='00001c0a') or (Langue='0000200a') or
                   (Langue='0000240a') or (Langue='0000280a') or (Langue='00002c0a') or (Langue='0000300a') or
                   (Langue='0000340a') or (Langue='0000380a') or (Langue='00003c0a') or (Langue='0000400a') or
                   (Langue='0000440a') or (Langue='0000480a') or (Langue='00004c0a') or (Langue='0000500a')) then
            Traduction('es')
          else
            Traduction('en');
      end;
      Reg.CloseKey;
    end;
  finally
    Reg.Free;
  end;


  Application.Run;
end.
